Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::DOMDocument Class Reference

Interface that represents document of underlying XML parser. More...

`#include <DOMDocument.h>`

Inheritance diagram for FIX::DOMDocument:
[legend]

List of all members.

## Public Member Functions

virtual | ~DOMDocument ()
virtual bool | load (std::istream &)=0
virtual bool | load (const std::string &)=0
virtual bool | xml (std::ostream &)=0
virtual std::auto_ptr< DOMNode > | getNode (const std::string &)=0

## Detailed Description

Interface that represents document of underlying XML parser.

Definition at line 60 of file DOMDocument.h.

## Constructor & Destructor Documentation

virtual FIX::DOMDocument::~DOMDocument | ( |  | ) | `[inline, virtual]`

Definition at line 63 of file DOMDocument.h.

    00063 {}

## Member Function Documentation

virtual std::auto_ptr<DOMNode> FIX::DOMDocument::getNode | ( | const std::string & |  | ) | `[pure virtual]`

Implemented in FIX::LIBXML_DOMDocument, and FIX::MSXML_DOMDocument.

Referenced by FIX::DataDictionary::addXMLComponentFields().

virtual bool FIX::DOMDocument::load | ( | const std::string & |  | ) | `[pure virtual]`

Implemented in FIX::LIBXML_DOMDocument, and FIX::MSXML_DOMDocument.

virtual bool FIX::DOMDocument::load | ( | std::istream & |  | ) | `[pure virtual]`

Implemented in FIX::LIBXML_DOMDocument, and FIX::MSXML_DOMDocument.

virtual bool FIX::DOMDocument::xml | ( | std::ostream & |  | ) | `[pure virtual]`

Implemented in FIX::LIBXML_DOMDocument, and FIX::MSXML_DOMDocument.

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/DOMDocument.h